<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8"/>
    <title data-th-text="#{admin.previewimportregistrars}">ÄiW hochladen</title>
    <link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}"/>
</head>
<body>
<div data-th-replace="fragments/nav::nav"></div>
<main>

    <form method="post" data-th-action="@{/admin/import/{id}/registrars(id=${fileUpload.id})}" data-th-object="${importRegistrarList}">
        <table class="datatable">
            <caption>Zu importierende ÄiW</caption>
            <thead>
            <tr>
                <th>#</th>
                <th>importieren</th>
                <th>Vorname</th>
                <th>Nachname</th>
                <th>Straße</th>
                <th>PLZ</th>
                <th>Ort</th>
                <th>E-Mail</th>
                <th>Telefon</th>
                <th>Geschlecht</th>
                <th>Bevorzugte Region(en)</th>
                <th>Einschreibung KOMPAS</th>
                <th>Quereinstieg</th>
                <th>Zustimmung Übermittlung Daten VAHS an KOMPAS</th>
                <th>Zustimmung Übermittlung Daten KVSA an KOMPAS</th>
                <th>Bemerkungen</th>
            </tr>
            </thead>
            <tbody>
            <tr data-th-each="entity,status: *{entities}">
                <td data-th-text="${status.index+1}"></td>
                <td><input type="checkbox" data-th-field="*{entities[__${status.index}__].doImport}"></td>
                <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.firstName}"></td>
                <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.lastName}"></td>

                <td>
                    <input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.address.street}">
                    <input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.address.housenumber}" data-th-errorclass="error">
                </td>
                <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.address.zipCode}"></td>
                <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.address.city}"></td>

                <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.contactInfo.email}"></td>
                <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.contactInfo.phoneNumber}"></td>

                <td><select data-th-field="*{entities[__${status.index}__].originalEntity.entity.sex}" data-th-errorclass="error">
                    <option value="">----</option>
                    <option data-th-each="sex: ${sexes}" data-th-value="${sex.id}" data-th-text="${sex.name}"/>
                </select></td>

                <td><select data-th-field="*{entities[__${status.index}__].originalEntity.entity.preferredRegions}" data-th-errorclass="error" multiple="multiple" size="5">
                    <option value="">----</option>
                    <option data-th-each="region: ${regions}" data-th-value="${region.id}" data-th-text="${region.name}"/>
                </select></td>

                <td><input type="date" data-th-field="*{entities[__${status.index}__].originalEntity.entity.kompasSubscription}"></td>
                <td><input type="checkbox" data-th-field="*{entities[__${status.index}__].originalEntity.entity.lateralEntry}"></td>
                <td><input type="date" data-th-field="*{entities[__${status.index}__].originalEntity.entity.approvalVAHSTransmission}"></td>
                <td><input type="date" data-th-field="*{entities[__${status.index}__].originalEntity.entity.approvalKVSATransmission}"></td>
                <td><textarea data-th-field="*{entities[__${status.index}__].originalEntity.entity.notes}"></textarea></td>
            </tr>
            </tbody>
        </table>

        <button>Ausgewählte ÄiW importieren</button>
    </form>

    <table class="datatable">
        <caption>Bereits vorhandene ÄiW</caption>
        <thead>
        <tr>
            <td>Name</td>
        </tr>
        </thead>
        <tbody>
        <tr data-th-each="entity: ${existingEntities}">
            <td data-th-text="${entity.fullName}"></td>
        </tr>
        </tbody>
    </table>
</main>
</body>